graph.tasks

## Class DijkstraShortestPathFactory

- java.lang.Object
- - graph.tasks.DijkstraShortestPathFactory

- All Implemented Interfaces:
    ShortestPathFactory

      public class DijkstraShortestPathFactory
      extends java.lang.Object
      implements ShortestPathFactory

  Továrna na objekty třídy DijkstraShortestPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JustifiableHeapFactory` | `heapFac`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DijkstraShortestPathFactory(HeapTreeFactory aHeapTreeFac)` Vyrobí novou továrnu.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShortestPath` | `createShortestPath(Graph aGraph, SequenceFactory aSeqFac)` Vyrobí objekt na hledání nejkratších cest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### heapFac

          private JustifiableHeapFactory heapFac

  - ### Constructor Detail

    - #### DijkstraShortestPathFactory

          public DijkstraShortestPathFactory(HeapTreeFactory aHeapTreeFac)

      Vyrobí novou továrnu.
      Parameters:
        `aHeapTreeFac` - továrna na haldy (halda se použije jako prioritní fronta)

  - ### Method Detail

    - #### createShortestPath

          public ShortestPath createShortestPath(Graph aGraph,
                                                 SequenceFactory aSeqFac)

      Vyrobí objekt na hledání nejkratších cest. Popis: Nejkratší cesty se hledají Dijkstrovým algoritmem. Výsledkem hledání je posloupnost vrcholů, kterými nejkratší cesta prochází.
      Specified by:
        `createShortestPath` in interface `ShortestPathFactory`
      Parameters:
        `aGraph` - graf, ve kterém se hladá nejkratší cesta
        `aSeqFac` - továrna na posloupnosti (výsledkem hledání je posloupnost vrcholů)
      Returns:
        objekt na hledání nejkratších cest v grafu